package model

import (
	"time"
)

type UserVip struct {
	CreatedTime         time.Time `json:"created_time"`           // CreatedTime
	ExpireAt            time.Time `json:"expire_at"`              // 过期时间
	Id                  int64     `json:"id"`                     // id
	Platform            int       `json:"platform"`               // 平台
	Type                int       `json:"type"`                   // 类型（1：用户充值 2：后台赠送）
	UpdatedTime         time.Time `json:"updated_time"`           // UpdatedTime
	UserId              int64     `json:"user_id"`                // 用户ID
	VipSubscribeOrderId int64     `json:"vip_subscribe_order_id"` // vip订阅订单
}

func (u *UserVip) TableName() string {
	return "user_vip"
}
